Passer au contenu principal
GET
/
api
/
v1
/
agents
List Agents
curl --request GET \
  --url https://api.agentwallex.com/api/v1/agents \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "agent_name": "<string>",
      "agent_description": "<string>",
      "wallet": {
        "address": "<string>",
        "chain": "<string>"
      },
      "status": "active",
      "metadata": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "has_more": true
}
Recuperez une liste paginee des agents associes a votre compte. Prend en charge le filtrage par statut et chaine.

Parametres de requete

page_num
integer
défaut:"1"
Numero de page (indexe a 1).
page_size
integer
défaut:"20"
Nombre d’elements par page. Maximum : 100.
status
string
Filtrer par statut de l’agent. Valeurs : active, inactive.
chain
string
Filtrer par identifiant de chaine CAIP-2 (par ex., eip155:84532).

Reponse

Exemple

curl -X GET "https://api.agentwallex.com/api/v1/agents?page_num=1&page_size=20&status=active&chain=eip155:84532" \
  -H "X-API-Key: awx_your_api_key"
Response
{
  "data": [
    {
      "id": "agent_abc123",
      "agent_name": "research-bot",
      "wallet": {
        "address": "0x1234...5678",
        "chain": "eip155:84532"
      },
      "status": "active",
      "created_at": "2025-06-01T10:00:00Z"
    }
  ],
  "total": 3,
  "has_more": false
}

Autorisations

X-API-Key
string
header
requis

API key authentication. Keys are prefixed with awx_.

Paramètres de requête

page_num
integer
défaut:1

Page number (1-indexed).

Plage requise: x >= 1
page_size
integer
défaut:20

Number of items per page.

Plage requise: 1 <= x <= 100
status
enum<string>

Filter by agent status.

Options disponibles:
active,
inactive
chain
string

Filter by CAIP-2 chain identifier (e.g., eip155:84532).

Réponse

Paginated list of agents.

Standard paginated response wrapper.

data
object[]

Array of resource objects.

total
integer

Total number of items matching the query.

has_more
boolean

Whether more pages are available.